Subject: bug#70442: closed (Re: bug#70442: [PATCH] Open new previews when they cover point)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 18 Apr 2024 14:29:04 +0000

Your bug report

#70442: [PATCH] Open new previews when they cover point

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70442: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70442
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70442: [PATCH] Open new previews when they cover point
From: Arash Esbati <[email-masked]>
To: Paul Nelson <[email-masked]>
Cc: [email-masked]
Date: Thu, 18 Apr 2024 16:27:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Paul Nelson <[email-masked]> writes:

> Thanks, I see it now.  Please see attached.

Thanks.  I slightly changed your patch (most notably, the value of
:group tag) and installed it, closing.

Best, Arash

Subject: [PATCH] Open new previews when they cover point
From: Paul Nelson <[email-masked]>
To: [email-masked]
Date: Wed, 17 Apr 2024 22:55:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Steps to reproduce:
- Create test.tex with a valid equation environment.
- Put the point inside the equation environment.
- preview-buffer

When the preview generates, the point is ejected from the equation
environment due to the new overlay.

With this patch, the preview instead temporarily opens, as if the user
had entered it.

I view the latter behavior as "clearly" better, but if I missed some
advantage of the current approach or if my suggestion is deemed
subjective, then I would be happy to resubmit the patch with this
behavior enabled by a user option.

Thanks, best,

Paul